﻿#content-wrapper {
    & .wbs-card {
        & .wbs-card-content {
            & > div:first-child {
                max-width: 100%;
            }

            & > div:last-child {
                display: flex;
                flex-direction: column;

                @media (min-width: 1024px){
                    &:not(:has(#employee-table-wrapper)) {
                        flex-direction: row;
                        gap: 1em;
                    }
                }

                @media (min-width: 1024px){
                    &:has(#employee-table-wrapper)  .event-details > div > img {
                        width: 50%;
                        display: block;
                        margin: 0 auto;
                    }
                }

                & .event-details {
                    margin-bottom: var(--margin-md);

                    & > div {
                        &:first-child {
                            margin-bottom: var(--margin-md);
                        }

                        &:last-child {
                            margin-top: var(--margin-md);
                        }

                        & > span:first-child {
                            font-weight: bold;

                            &:after {
                                content: ":";
                            }
                        }

                        & > img {
                            width: 100%;
                        }
                    }
                }

                & .event-register {
                    margin-top: var(--margin-md);
                
                    @media (min-width: 1024px){
                        & {
                            padding-left: var(--padding-md);
                            border-left: 2px solid var(--wbs-disabled-primary-1);

                            &:has(#employee-table-wrapper) {
                                border-left: none;
                                padding-left: 0;
                            }
                        }
                    }

                    & > form {
                        display: flex;
                        flex-direction: column;
                        gap: 1em;

                        & > div {

                        }
                    }
                }
            }
        }
    }
}